public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/sci:master commit in: sci-biology/align_to_scf/
@ 2011-02-14 20:42 Martin Mokrejs
  0 siblings, 0 replies; 4+ messages in thread
From: Martin Mokrejs @ 2011-02-14 20:42 UTC (permalink / raw
  To: gentoo-commits

commit:     85932e8e961c58e5db2250324427a77d498bff56
Author:     Martin Mokrejs <mmokrejs <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 14 20:42:11 2011 +0000
Commit:     Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
CommitDate: Mon Feb 14 20:42:11 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=85932e8e

sci-biology/align_to_scf: fix sed trickery

(Portage version: 2.1.9.28/git/Linux i686, unsigned Manifest commit)

---
 sci-biology/align_to_scf/align_to_scf-1.06.ebuild |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

diff --git a/sci-biology/align_to_scf/align_to_scf-1.06.ebuild b/sci-biology/align_to_scf/align_to_scf-1.06.ebuild
index cb6cc78..f494140 100644
--- a/sci-biology/align_to_scf/align_to_scf-1.06.ebuild
+++ b/sci-biology/align_to_scf/align_to_scf-1.06.ebuild
@@ -4,6 +4,8 @@
 
 EAPI=3
 
+inherit eutils
+
 DESCRIPTION="Provide data to staden to view trace information at a given position missing from Roche .ace files"
 HOMEPAGE="http://genome.imb-jena.de/software/roche454ace2caf"
 SRC_URI="http://genome.imb-jena.de/software/roche454ace2caf/download/src/align_to_scf-1.06.tgz"
@@ -17,10 +19,10 @@ DEPEND=""
 RDEPEND="${DEPEND}"
 
 src_prepare(){
-	sed -i 's:^CC :#CC :' Makefile
-	sed -i 's:^LD :#LD :' Makefile
-	sed -i 's:^CFLAGS.*:CFLAGS+= -D__LINUX__ -Wcast-align:' Makefile
-	sed -i 's:^LDFLAGS=:#LDFLAGS=:' Makefile
+	sed -i "s:^CC :CC=$(tc-getCC) #:" Makefile || die "sed failed"
+	sed -i "s:^LD :LD=$(tc-getCC) #:" Makefile || die "sed failed"
+	sed -i 's:^CFLAGS.*:CFLAGS+= -D__LINUX__ -Wcast-align:' Makefile || die "sed failed"
+	sed -i 's:^LDFLAGS =:#LDFLAGS =:' Makefile || die "sed failed"
 }
 
 src_install(){



^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-biology/align_to_scf/
@ 2015-09-21 19:44 Justin Lecher
  0 siblings, 0 replies; 4+ messages in thread
From: Justin Lecher @ 2015-09-21 19:44 UTC (permalink / raw
  To: gentoo-commits

commit:     1fef098316105722536e11c330c942d843d5bc35
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 21 19:42:04 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Sep 21 19:42:04 2015 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=1fef0983

sci-biology/align_to_scf: Bump EAPI to 5

Package-Manager: portage-2.2.20.1
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 sci-biology/align_to_scf/align_to_scf-1.06.ebuild | 13 +++++--------
 1 file changed, 5 insertions(+), 8 deletions(-)

diff --git a/sci-biology/align_to_scf/align_to_scf-1.06.ebuild b/sci-biology/align_to_scf/align_to_scf-1.06.ebuild
index 68dad98..e9fb134 100644
--- a/sci-biology/align_to_scf/align_to_scf-1.06.ebuild
+++ b/sci-biology/align_to_scf/align_to_scf-1.06.ebuild
@@ -1,12 +1,12 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
-EAPI=3
+EAPI=5
 
 inherit eutils
 
-DESCRIPTION="Provide data to staden to view trace information at a given position missing from Roche .ace files"
+DESCRIPTION="View trace information at a given position missing from Roche .ace files"
 HOMEPAGE="http://genome.imb-jena.de/software/roche454ace2caf"
 SRC_URI="http://genome.imb-jena.de/software/roche454ace2caf/download/src/align_to_scf-1.06.tgz"
 
@@ -15,9 +15,6 @@ SLOT="0"
 KEYWORDS="~amd64 ~x86"
 IUSE=""
 
-DEPEND=""
-RDEPEND="${DEPEND}"
-
 src_prepare(){
 	sed -i "s:^CC :CC=$(tc-getCC) #:" Makefile || die "sed failed"
 	sed -i "s:^LD :LD=$(tc-getCC) #:" Makefile || die "sed failed"
@@ -26,6 +23,6 @@ src_prepare(){
 }
 
 src_install(){
-	dobin align_to_scf || die
-	dodoc "${FILESDIR}"/README || die
+	dobin align_to_scf
+	dodoc "${FILESDIR}"/README
 }


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-biology/align_to_scf/
@ 2021-01-19 16:26 Andrew Ammerlaan
  0 siblings, 0 replies; 4+ messages in thread
From: Andrew Ammerlaan @ 2021-01-19 16:26 UTC (permalink / raw
  To: gentoo-commits

commit:     5dedf2749c7dee0485dd2e1e058ca48f54dd809a
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Tue Jan 19 16:14:20 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Tue Jan 19 16:14:20 2021 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=5dedf274

sci-biology/align_to_scf: use PV in SRC_URI

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 sci-biology/align_to_scf/align_to_scf-1.06.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/sci-biology/align_to_scf/align_to_scf-1.06.ebuild b/sci-biology/align_to_scf/align_to_scf-1.06.ebuild
index f9564900c..5a75d5224 100644
--- a/sci-biology/align_to_scf/align_to_scf-1.06.ebuild
+++ b/sci-biology/align_to_scf/align_to_scf-1.06.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
@@ -7,7 +7,7 @@ inherit eutils
 
 DESCRIPTION="View trace information at a given position missing from Roche .ace files"
 HOMEPAGE="http://genome.imb-jena.de/software/roche454ace2caf"
-SRC_URI="http://genome.imb-jena.de/software/roche454ace2caf/download/src/align_to_scf-1.06.tgz"
+SRC_URI="http://genome.imb-jena.de/software/roche454ace2caf/download/src/align_to_scf-${PV}.tgz"
 
 LICENSE="FLI-Jena"
 SLOT="0"


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-biology/align_to_scf/
@ 2021-03-05 21:44 Andrew Ammerlaan
  0 siblings, 0 replies; 4+ messages in thread
From: Andrew Ammerlaan @ 2021-03-05 21:44 UTC (permalink / raw
  To: gentoo-commits

commit:     746e53c83ab8c2eb8bb2d5fe43dbf03b024cdd94
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Fri Mar  5 21:27:27 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Fri Mar  5 21:27:27 2021 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=746e53c8

sci-biology/align_to_scf: EAPI bump, fix build

Package-Manager: Portage-3.0.16, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 sci-biology/align_to_scf/align_to_scf-1.06.ebuild | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

diff --git a/sci-biology/align_to_scf/align_to_scf-1.06.ebuild b/sci-biology/align_to_scf/align_to_scf-1.06.ebuild
index 5a75d5224..86ce20a83 100644
--- a/sci-biology/align_to_scf/align_to_scf-1.06.ebuild
+++ b/sci-biology/align_to_scf/align_to_scf-1.06.ebuild
@@ -1,9 +1,7 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
-
-inherit eutils
+EAPI=7
 
 DESCRIPTION="View trace information at a given position missing from Roche .ace files"
 HOMEPAGE="http://genome.imb-jena.de/software/roche454ace2caf"
@@ -12,11 +10,9 @@ SRC_URI="http://genome.imb-jena.de/software/roche454ace2caf/download/src/align_t
 LICENSE="FLI-Jena"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE=""
 
 src_prepare(){
-	sed -i "s:^CC :CC=$(tc-getCC) #:" Makefile || die "sed failed"
-	sed -i "s:^LD :LD=$(tc-getCC) #:" Makefile || die "sed failed"
+	default
 	sed -i 's:^CFLAGS.*:CFLAGS+= -D__LINUX__ -Wcast-align:' Makefile || die "sed failed"
 	sed -i 's:^LDFLAGS =:#LDFLAGS =:' Makefile || die "sed failed"
 }


^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2021-03-05 21:44 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-01-19 16:26 [gentoo-commits] proj/sci:master commit in: sci-biology/align_to_scf/ Andrew Ammerlaan
  -- strict thread matches above, loose matches on Subject: below --
2021-03-05 21:44 Andrew Ammerlaan
2015-09-21 19:44 Justin Lecher
2011-02-14 20:42 Martin Mokrejs

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox